io_createfile(3)

NAME
io_createfile - create a file

SYNTAX
#include <libowfat/io.h> int io_createfile(int64* d,const char* filename);

DESCRIPTION
io_createfile sets d to the number of a new descriptor writing to the disk file named s, and returns 1. If filename already existed, it is truncated to length 0; otherwise, it is created, with mode 0600. If something goes wrong, io_createfile sets errno to indicate the error, and returns 0; it does not create a new descriptor, and it does not touch d. (However, it may have truncated or created the file.)

SEE ALSO
io_readfile(3), io_appendfile(3), io_readwritefile(3)